1. Access Keys
ROCKITPLAY API
  • ROCKIT Edge - Admin API
    • Installation / Upgrade
      • ping
      • get versions
      • submit test task
    • Admin Edge Organizations
      • Create Organization
      • Commit Export
      • Delete Organization
    • Tenancy Management
      • List Tenants
      • Get Tenant Details
      • Create Tenant
      • Delete Tenant
    • Tasks
    • Archives
  • ROCKIT Edge - Backend API
    • Backend Edge Organizations
      • Create Organization
      • Delete Organization
    • Authentication
      • user login (org)
      • user login (user+pw)
      • Refresh
      • User logout
    • Account Management
      • get user details
      • list users
      • Modify user
      • delete users
      • Create User / Create Machine User
    • Deployments
      • Creating Deployments
      • Get Deployments
      • Get Deployment Details
      • Modify Deployment
      • Deleting Deployments
    • Apps
      • Creating Apps
      • Import native builds
      • App Details
      • List Apps
      • Patch App
      • Delete Apps
    • Triggers
      • Process Traces
      • Retry Task
    • Tasks
      • Listing Tasks
      • Task Details
      • Acknowledge Warning / Expire Task
    • Access Keys
      • Create Key
        POST
      • Patch Key
        PATCH
      • List Keys
        GET
      • Get Key Details
        GET
    • Subscriptions
      • Subscribe
      • List Subscriptions
      • Unsubscribe
    • Roles
      • List Roles
      • Create Role
      • Patch Role
      • Role Details
      • Delete Roles
    • API Keys
      • Delete API Key
    • Commit
  • Changelog
    • Changelog
  • Schemas
    • Webhook Request Body
    • Import UrlSchema
  1. Access Keys

List Keys

Developing
GET
https://Example-Server.com/be/v1/keys
Last modified:2026-10-23 15:08:57
This endpoint list the available keys created for the organization specified by the credentials.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://Example-Server.com/be/v1/keys?fields[]=key&fields[]=appName&fields[]=appLabel&fields[]=username&fields[]=comment&fields[]=tags&fields[]=artworks&fields[]=expiration&fields[]=nSessions&fields[]=artworks&fields[]=created&q=&in[]=key&in[]=appName&in[]=appLabel&in[]=username&in[]=comment&in[]=tags&key=&appName=&appLabel=undefined&username=&tags[]=billing&tags[]=demo&tags[]=live&tags[]=training&tags[]=qa&only=active&offset=0&limit=10&order[]=appName&order[]=username&order[]=created&order[]=expiration' \
--header 'Authorization: Bearer {{_edge_org_admin_access_token}}' \
--header 'x-rockit-tenant: {{EDGE_TENANT_NAME}}' \
--header 'x-rockit-orgname: ExampleOrg' \
--header 'x-rockit-username: adminPrincipal' \
--header 'x-rockit-api-key: {{_adminPrincipal_apiKey}}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-10-23 15:08:57
Previous
Patch Key
Next
Get Key Details
Built with